#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  GMime-3.2.15

- Next

  gsl-2.8

- Up
- Home

# gmmlib-22.10.0

## Introduction to gmmlib

The gmmlib package contains the Intel Graphics Memory Management Library, which provides device specific memory and buffer management functions for the Intel Media Driver for VAAPI and the Intel Graphics Computer Runtime for OpenCL (TM).

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/lfs-book/gmmlib/archive/v22.10.0/gmmlib-22.10.0.tar.gz

- Download MD5 sum: f94f6903e7df944c7a064f85b1b4a99b

- Download size: 868 KB

- Estimated disk space required: 59 MB

- Estimated build time: 0.7 SBU

### Note

On GitHub we've forked the upstream repository into our own `lfs-book` namespace and recreated a tag for the release. This is done to ensure the downloaded tarball file name to be correct and consistent (i.e. it shouldn't change when using the browser instead of a tool like wget). Our tag and the upstream release tag are on the same commit, so we've not introduced any change to the tarball content except the name of its top-level directory (that Git does not track).

### gmmlib Dependencies

#### Required

CMake-4.3.2

## Installation of gmmlib

Install gmmlib by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D BUILD_TYPE=Release        \
          -G Ninja                     \
          -W no-dev ..                 &&
    ninja

The test suite is normally run by ninja unless -D RUN_TEST_SUITE=NO is passed to cmake.

Now, as the `root` user:

    ninja install

## Contents

Installed Programs: None
Installed Libraries: libigdgmm.so
Installed Directories: /usr/include/igdgmm

### Short Descriptions

`libigdgmm.so` | contains functions that provide Memory Management functions for Intel Graphics Drivers

- Prev

  GMime-3.2.15

- Next

  gsl-2.8

- Up
- Home